Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Reverse_Lock_T.h File Reference

`#include "ace/Lock.h"`
`#include "ace/Reverse_Lock_T.inl"`
`#include "ace/Reverse_Lock_T.cpp"`

Include dependency graph for Reverse_Lock_T.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Acquire_Method
| An enum class. More...
class | ACE_Reverse_Lock
| A reverse (or anti) lock. More...

## Detailed Description

Id:
  Reverse_Lock_T.h,v 4.1 2003/08/04 03:53:52 dhinton Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>